%global debug_package %{nil}
%bcond_without tests

Summary:       Seamless operability between C++11 and Python
Name:          pybind11
Version:       2.11.1
Release:       3%{?dist}
License:       BSD
URL:	       https://github.com/pybind/pybind11
Source0:       %{url}/archive/v%{version}/%{name}-%{version}.tar.gz
Patch3001:     pybind11-2.10.1-hpath.patch

BuildRequires: make gcc-c++ cmake eigen3-devel
BuildRequires: python3-devel python3-setuptools
%if %{with tests}
BuildRequires: python3-pytest python3-numpy python3-scipy
%endif


%global base_description \
pybind11 is a lightweight header-only library that exposes C++ types \
in Python and vice versa, mainly to create Python bindings of existing \
C++ code.

%description
%{base_description}


%package devel
Summary:       Development headers for pybind11
Provides:      %{name}-static = %{version}-%{release}
Requires: cmake

%description devel
%{base_description}
This package contains the development headers for pybind11.


%package -n    python3-%{name}
Summary:       %{summary}
Requires:      %{name}-devel = %{version}-%{release}

%description -n python3-%{name}
%{base_description}
This package contains the Python 3 files.


%prep
%autosetup -p1


%build
pys="python3"
for py in $pys; do
    mkdir $py
    %cmake -B $py -DCMAKE_BUILD_TYPE=Debug -DPYTHON_EXECUTABLE=%{_bindir}/$py -DPYBIND11_INSTALL=TRUE -DUSE_PYTHON_INCLUDE_DIR=FALSE %{!?with_tests:-DPYBIND11_TEST=OFF}
    %make_build -C $py
done

%py3_build


%if %{with tests}
%check
make -C python3 check %{?_smp_mflags}
%endif


%install
%make_install -C python3
PYBIND11_USE_CMAKE=true %py3_install "--install-purelib" "%{python3_sitearch}"


%files devel
%license LICENSE
%doc README.rst
%{_includedir}/pybind11/
%{_datadir}/cmake/pybind11/
%{_bindir}/pybind11-config
%{_datadir}/pkgconfig/%{name}.pc


%files -n python3-%{name}
%{python3_sitearch}/%{name}/
%{python3_sitearch}/%{name}-%{version}-py%{python3_version}.egg-info


%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.11.1-3
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.11.1-2
- Rebuilt for loongarch release

* Tue Sep 26 2023 Shuo Wang <abushwang@tencent.com> - 2.11.1-1
- update to 2.11.1

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.10.3-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.10.3-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.10.3-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.10.3-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Feb 15 2023 rockerzhu <rockerzhu@tencent.com> - 2.10.3-1
- Initial build
